Method: projects.locations.brands.list

Lists brands.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*}/brands

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of brands. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of brands to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous brands.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListBrands.

If successful, the response body contains data with the following structure:

JSON representation
{
  "brands": [
    {
      object (Brand)
    }
  ],
  "nextPageToken": string
}
Fields
brands[]

object (Brand)

The brands from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.